Bug 1013226 - libicu updates are published incomplete [NEEDINFO]
libicu updates are published incomplete
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: icu (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 09:57 EDT by matti aarnio
Modified: 2013-10-18 08:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-18 08:50:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dtardon: needinfo? (matti.aarnio)


Attachments (Terms of Use)

  None (edit)
Description matti aarnio 2013-09-28 09:57:02 EDT
Description of problem:

  libicu-devel is published at updates without corresponding libicu.

  It does look like there is persistent problem in update publishing
  of this particular package set.


Version-Release number of selected component (if applicable):

  F16-F19  (at least since F16, maybe longer)


How reproducible:

  Every time icu has been updated over multiple Fedora releases,
  and installation has libicu-devel package installed.


Steps to Reproduce:

  1. yum install libicu-devel
  2. yum upgrade


Actual results:

At a system without libicu-devel installed: Nothing is wrong during "yum upgrade" run.  The system just does not update libicu package.

At a system with libicu-devel installed, and after libicu-devel is updated for that release, "yum upgrade" terminates with:

Error: Package: libicu-devel-50.1.2-7.fc19.x86_64 (updates)
           Requires: libicu = 50.1.2-7.fc19
           Installed: libicu-50.1.2-5.fc19.x86_64 (installed)
               libicu = 50.1.2-5.fc19

It has become routine to run updates with "--skip-broken" option, but fixing the original problem would be better.
Comment 1 David Tardon 2013-09-30 10:36:27 EDT
It has never happened to me. Do you have any third party repo (e.g., rpmfusion) that might require the older ICU? Do you have libicu.i686 installed?

Note You need to log in before you can comment on or make changes to this bug.